Subject: Re: [bug#75644] [PATCH] gnu: Add rtorrent-xml-rpc.

From: Bruno Victal <[email-masked]>
Date: Thu, 13 Feb 2025 13:54:24 +0000

Hi Divya,

On 2025-01-18 08:05, Divya Ranjan via Guix-patches via wrote:
> * gnu/packages/bittorrent.scm (rtorrent-xml-rpc): New variable.

Is it worth defining a package variant just for the XML-RPC support?
Why not just build rtorrent with XML-RPC baked in? Unless there's a cycle
or XML-RPC addition increases the package size by intolerable amounts,
I'd say you should simply enable the feature in the base rtorrent package
otherwise if everyone starts defining "minimalist" package variants its going
to result in a combinatorial explosion.

My 2¢,

-- 
Cheers,
Bruno.